curl --request POST \
--url https://api.joinworth.com/case/api/v1/customers/{customerID}/businesses/invite \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"business": {
"name": "Jim Tester's Electronics",
"mobile": "6078379283",
"address_line_1": "123 Main St",
"address_city": "Orlando",
"address_state": "FL",
"address_postal_code": "32801"
},
"applicants": [
{
"first_name": "Jim",
"last_name": "Tester",
"email": "jim.tester@email.com",
"mobile": "6078379283"
}
]
}
EOFimport requests
url = "https://api.joinworth.com/case/api/v1/customers/{customerID}/businesses/invite"
payload = {
"business": {
"name": "Jim Tester's Electronics",
"mobile": "6078379283",
"address_line_1": "123 Main St",
"address_city": "Orlando",
"address_state": "FL",
"address_postal_code": "32801"
},
"applicants": [
{
"first_name": "Jim",
"last_name": "Tester",
"email": "jim.tester@email.com",
"mobile": "6078379283"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
business: {
name: 'Jim Tester\'s Electronics',
mobile: '6078379283',
address_line_1: '123 Main St',
address_city: 'Orlando',
address_state: 'FL',
address_postal_code: '32801'
},
applicants: [
{
first_name: 'Jim',
last_name: 'Tester',
email: 'jim.tester@email.com',
mobile: '6078379283'
}
]
})
};
fetch('https://api.joinworth.com/case/api/v1/customers/{customerID}/businesses/invite', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Business invited successfully",
"data": {
"business_id": "e6fbc974-a9d3-4d1b-bd99-90a618758d6d",
"applicant_email": "jim.tester@email.com",
"invitation_id": "76fd24c2-c75a-4ab0-8ee7-a1d287d8951b",
"invitation_url": "https://app.joinworth.com/invite/76fd24c2-c75a-4ab0-8ee7-a1d287d8951b",
"customer_id": "22f210e4-4455-4107-b132-97e8478546ea"
}
}{
"status": "error",
"message": "This business was not onboarded by the current customer.",
"errorCode": "UNKNOWN_ERROR",
"data": {
"errorName": "BusinessApiError",
"data": {
"data": {}
}
}
}Send Business Invite
Send an invitation to onboard a business and its applicants. You can either create a new business with the invite or reference an existing business. At least one applicant must be provided via the applicants array. Applicant email addresses must not use disposable email domains.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier of the customer sending the invitation
"22f210e4-4455-4107-b132-97e8478546ea"
Body
Business and applicant details for the invitation. Provide either a business object to create a new business, or an existing_business_id / existing_business object to invite applicants to an existing business.
List of applicants to invite. At least one applicant is required.
1Show child attributes
Show child attributes
Details for creating a new business with the invitation. Cannot be used together with existing_business_id or existing_business.
Show child attributes
Show child attributes
UUID of an existing business to send the invitation for. Cannot be used together with business or existing_business.
Reference to an existing business with additional context. Cannot be used together with business or existing_business_id.
Show child attributes
Show child attributes
UUID of an existing case to associate with the invitation. Only applicable when using existing_business_id or existing_business.
UUIDs of existing applicants to include in the invitation
UUID of an e-sign template to attach to the invitation
List of e-sign template UUIDs to attach to the invitation
UUID of a custom field template to apply to the invitation
Custom field values to prefill on the invitation, keyed by field identifier
Was this page helpful?